%define version 1.1.11.1
%define subrel 3  
%define release %mkrel 4
%define name    xine-lib
%define major 1
%define api 1.20
%define build_plf 0
%define build_optimization 0

%define build_pulse	1
%define build_magick	1
%define build_arts 0

%if %mdkversion < 1010
%define build_magick	0
%endif

%define build_theora 1
%if %mdkversion < 1000
%define build_theora 0
%endif

%define build_directfb 0
%define external_vcdnav 1
%define build_smb 1
%define build_alsa 1

%if %mdkversion < 920
%define build_smb 0
%endif

%if %mdkversion <= 910
%define external_vcdnav 0
%endif
%if %mdkversion <= 1010
%define external_vcdnav 0
%endif
%define build_vidix 1
%ifnarch %ix86
%define build_vidix 0
%endif

%define build_linuxfb 1

%define libname		%mklibname xine %major
%define libnamedev	%mklibname -d xine

%define bname xine
%define dvdnav 0.1.4

%define build_divx4 0
%define build_xvid 0
%define build_faad 0
%define build_win32 0
%ifarch %ix86
%define build_win32 1
%endif

%define external_ffmpeg 0
%if %{mdkversion} >= 200800
%define external_ffmpeg 1
%endif

%{?_with_plf: %{expand: %%global build_plf 1}}
%if %build_plf
%define distsuffix plf
%define build_faad 1
%endif
%{?_with_optimization: %{expand: %%global build_optimization 1}}
%{?_with_theora: %{expand: %%global build_theora 1}}
%{?_without_theora: %{expand: %%global build_theora 0}}
%{?_with_directfb: %{expand: %%global build_directfb 1}}
%{?_without_directfb: %{expand: %%global build_directfb 0}}
%{?_with_alsa: %{expand: %%global build_alsa 1}}
%{?_without_alsa: %{expand: %%global build_alsa 0}}
%{?_with_vcdnav: %{expand: %%global external_vcdnav 1}}
%{?_without_vcdnav: %{expand: %%global external_vcdnav 0}}
%{?_with_vidix: %{expand: %%global build_vidix 1}}
%{?_without_vidix: %{expand: %%global build_vidix 0}}
%{?_with_linuxfb: %{expand: %%global build_linuxfb 1}}
%{?_without_linuxfb: %{expand: %%global build_linuxfb 0}}
%{?_with_faad: %{expand: %%global build_faad 1}}
%{?_without_faad: %{expand: %%global build_faad 0}}
%{?_with_win32: %{expand: %%global build_win32 1}}
%{?_without_win32: %{expand: %%global build_win32 0}}
%{?_with_divx4: %{expand: %%global build_divx4 1}}
%{?_without_divx4: %{expand: %%global build_divx4 0}}
%{?_with_xvid: %{expand: %%global build_xvid 1}}
%{?_without_xvid: %{expand: %%global build_xvid 0}}
%{?_with_smb: %{expand: %%global build_smb 1}}
%{?_without_smb: %{expand: %%global build_smb 0}}
%{?_with_pulse: %{expand: %%global build_pulse 1}}
%{?_without_pulse: %{expand: %%global build_pulse 0}}
%{?_with_magick: %{expand: %%global build_magick 1}}
%{?_without_magick: %{expand: %%global build_magick 0}}
%{?_with_ffmpeg: %{expand: %%global external_ffmpeg 1}}
%{?_without_ffmpeg: %{expand: %%global external_ffmpeg 0}}

Name:        %{name}
Summary:     A Free Video Player (Libraries)
Version:     %{version}
Release:     %{release}
License:     GPL
Group:       System/Libraries
Source0:      http://prdownloads.sourceforge.net/xine/%name-%version.tar.bz2
# (fc) 1.1.11.1-1mdv reworked pulseaudio backend (Lennart)
Patch0: xine-pulse-rework.patch
#gw from Debian: fix for bug #39768 (regression in quicktime demuxer due to 
# security update)
Patch1: xine-lib-fix-quicktime-demuxer.patch
#gw from 1.1.12: fix speex demuxer
Patch2: xine-lib-1.1.11.1-CVE-2008-1686.patch
#gw from 1.1.12: fix regression in Matroska demuxer (bug #40928)
Patch3: xine-lib-1.1.11.1-mkv.patch
Patch4: xine-lib-git-CVE-2008-1878.patch
Patch5: xine-lib-1.1.11-CVE-2008-5234.patch
Patch6: xine-lib-1.1.11-CVE-2008-3231.patch
Patch7: xine-lib-1.1.11-CVE-2008-5236.patch
Patch8: xine-lib-1.1.11-CVE-2008-5237.patch
Patch9: xine-lib-1.1.11-CVE-2008-5239.patch
Patch10: xine-lib-1.1.11-CVE-2008-5240.patch
Patch11: xine-lib-1.1.11-CVE-2008-5243.patch
Patch12: xine-lib-1.1.11-CVE-2008-5233.patch
Patch14: xine-lib-1.1.11-CVE-2008-5241.patch
Patch15: xine-lib-1.1.11-CVE-2008-5246.patch
Patch16: xine-lib-1.1.11-CVE-2008-5245.patch
Patch17: xine-lib-1.1.11-CVE-2008-5245-1.patch
Patch18: xine-lib-1.1.11-CVE-2008-5239-1.patch
URL:         http://xine.sourceforge.net
BuildRoot:   %_tmppath/%{name}-buildroot
Buildconflicts: libxine-devel < %version
Buildrequires: aalib-devel
Buildrequires: libcaca-devel >= 0.99
Buildrequires: esound-devel
Buildrequires: libvorbis-devel
Buildrequires: libspeex-devel
Buildrequires: libjack-devel
Buildrequires: libSDL-devel
Buildrequires: libmng-devel
Buildrequires: libflac-devel
Buildrequires: libgnome-vfs2-devel
BuildRequires: libmodplug-devel
BuildRequires: libgdk_pixbuf2.0-devel
BuildRequires: libwavpack-devel
%if %mdkversion >= 200710
BuildRequires: libxcb-devel
# gw this is a private dep of libxcb-devel
BuildRequires: libpthread-stubs
%endif
%if %mdkversion >= 200700
BuildRequires: libmesaglu-devel
BuildRequires: libxv-devel
BuildRequires: libxvmc-devel
BuildRequires: libxinerama-devel
%else
BuildRequires: libMesaGLU-devel
BuildRequires: X11-devel
%endif
%if %build_smb
BuildRequires:	libsmbclient-devel > 2.2.8a-7mdk 
%endif
%if %external_vcdnav
BuildRequires: libvcd-devel >= 0.7.19
%endif
%if %build_theora
Buildrequires: libtheora-devel
%endif
%if %build_directfb
Buildrequires: libdirectfb-devel >= 0.9.9
%endif
%if %external_ffmpeg
BuildRequires:	ffmpeg-devel
%endif
BuildRequires: autoconf2.5
%if %mdkversion <= 910
BuildRequires: automake1.6
%else
BuildRequires: automake1.7
%endif

%description 
xine is a free gpl-licensed video player for unix-like systems.
%if %build_plf
This package is in PLF because the AAC decoder is covered by patents.
%endif


%package -n %{bname}-plugins
Summary:     	A Free Video Player (main plugins)
Group: 		Video
Provides: %bname-xv %bname-gl %bname-oss %libname-docs %bname-speex
Provides:  %bname-dvdnav %bname-alsa %bname-musepack
Obsoletes: %bname-xv %bname-gl %bname-oss %libname-docs %bname-speex
Obsoletes: %bname-dvdnav %bname-alsa %bname-musepack
%if %build_win32
Obsoletes:	xine-plugins-win32 xine-win32
Provides:	xine-plugins-win32 xine-win32
#Suggests: win32-codecs
%endif
#gw enable this once the cdda plugin from xine-vcdx was merged too
#Provides: %bname-vcdx
#Obsoletes: %bname-vcdx
# Plugins are in versioned dir, so require the exact version
Requires:  %libname = %version
# provide the plugin API version
Provides: xine-plugin-api = %api

%description -n %{bname}-plugins
xine is a free gpl-licensed video player for unix-like systems.

This package includes the main plugins for xine, they allow the input
from files, Video CDs, network streams and (not encrypted) DVDs in
several video formats.  For additional plugins (support for DVDs
protected by CSS or for non free codecs) you could try the packages
from the Penguin Liberation Front home page:

http://plf.zarb.org

That page is not connected to Mandriva.
%if %build_optimization

Warning: This package was optimized for the build machine and probably won't 
run on other computers.
%endif 

%package -n %{bname}-dvdnav
Group: Video
Summary: DVD plugin for xine
#Buildrequires: libdvdnav1-devel >= %dvdnav
#Requires: libdvdnav1 >= %dvdnav
Requires: %{bname}-plugins = %version

%description -n %bname-dvdnav
xine-dvdnav provides DVD navigation support (including menus) to the
Xine media player. By default it only supports DVDs not scrambled with
CSS.

%package -n %{bname}-wavpack
Group: Sound
Summary: Wavpack Audio decoder plugin for xine
Requires: %{bname}-plugins = %version

%description -n %bname-wavpack
xine is a free gpl-licensed video player for unix-like systems.

This package contains the wavpack audio decoder plugin.


%package -n %{bname}-sdl
Group: Video
Summary: SDL video output plugin for xine
Requires: %{bname}-plugins = %version

%description -n %bname-sdl
xine is a free gpl-licensed video player for unix-like systems.

This package contains the SDL video output plugin.

%package -n %{bname}-caca
Group: Video
Summary: Caca video output plugin for xine
Requires: %{bname}-plugins = %version

%description -n %bname-caca
xine is a free gpl-licensed video player for unix-like systems.

This package contains the Caca video output plugin.


%package -n %libname
Summary:     	A Free Video Player (Libraries)
Group: 		System/Libraries
Provides:   xine-lib

%description -n %libname
xine is a free gpl-licensed video player for unix-like systems.

This package contains the shared libraries required by xine.

%package -n %libnamedev
Summary:        Devel files for xine
Group:          Development/C
Requires:	%libname = %version
Provides:	libxine-devel = %version-%release
Obsoletes: %mklibname -d xine 1

%description -n %libnamedev
xine is a free gpl-licensed video player for unix-like systems.

This package contains the development files required for compiling xine
front ends or plugins.

%if %build_arts
%package -n %{bname}-arts
Summary:        Arts plugin for xine
Group:          Video
Requires:  %{bname}-plugins = %version
Buildrequires: libarts-devel

%description -n %{bname}-arts
xine is a free gpl-licensed video player for unix-like systems.

- Arts audio output plugin
%endif

%package -n %{bname}-esd
Summary:        Esd plugin for xine
Group:          Sound
Requires:  %{bname}-plugins = %version

%description -n %{bname}-esd
xine is a free gpl-licensed video player for unix-like systems.

- Esd audio output plugin

%package -n %{bname}-jack
Summary:        Jack plugin for xine
Group:          Sound
Requires:  %{bname}-plugins = %version

%description -n %{bname}-jack
xine is a free gpl-licensed video player for unix-like systems.

- Jack audio output plugin

%if %build_pulse
%package -n %{bname}-pulse
Summary:        Pulseaudio plugin for xine
Group:          Sound
Requires:  %{bname}-plugins = %version
Provides: %bname-polyp
Obsoletes: %bname-polyp
BuildRequires: libpulseaudio-devel

%description -n %{bname}-pulse
xine is a free gpl-licensed video player for unix-like systems.

- pulseaudio audio output plugin
%endif

%if %build_magick
%package -n %{bname}-image
Summary:        ImageMagick plugin for xine
Group:          Graphics
Requires:  %{bname}-plugins = %version
BuildRequires: ImageMagick-devel > 5.5.7.15

%description -n %{bname}-image
xine is a free gpl-licensed video player for unix-like systems.

- image display plugin based on ImageMagick
%endif

%package -n %{bname}-aa
Summary:        Aalib plugin for xine
Group:          Video
Requires:  %{bname}-plugins = %version

%description -n %{bname}-aa
xine is a free gpl-licensed video player for unix-like systems.

- Aalib textmode output plugin

%package -n %{bname}-dxr3
Summary:        DXR3 plugin for xine
Group:          Video
Requires:  %{bname}-plugins = %version


%description -n %{bname}-dxr3
xine is a free gpl-licensed video player for unix-like systems.

- DXR3/Hollywood+ (MPEG2 hardware decoder) decoding/output plugin
%if %build_plf
- this version has mpeg encoding enabled using libfame
%endif

%package -n %{bname}-flac
Summary:        FLAC plugin for xine
Group:          Sound
Requires:  %{bname}-plugins = %version

%description -n %{bname}-flac
xine is a free gpl-licensed video player for unix-like systems.

- FLAC audio decoder plugin

%package -n %{bname}-gnomevfs
Summary:        GNOME VFS plugin for xine
Group:          System/Libraries
Requires:  %{bname}-plugins = %version

%description -n %{bname}-gnomevfs
xine is a free gpl-licensed video player for unix-like systems.

- GNOME VFS input plugin

%package -n %{bname}-smb
Summary:        Samba input plugin for xine
Group:          System/Libraries
Requires:  %{bname}-plugins = %version

%description -n %{bname}-smb
xine is a free gpl-licensed video player for unix-like systems.

- Samba input plugin



%if %build_divx4
%package -n %{bname}-divx4
Summary:     	Divx4 plugin for %{bname}
Group: 		Video
Requires:	%{bname}-plugins = %{version}
ExclusiveArch:	%ix86
Obsoletes:	xine-plugins-divx4
Provides:	xine-plugins-divx4
Requires:  %{bname}-plugins = %version

%description -n %{bname}-divx4
This package contains the divx4linux plugin for %{bname}. It is in
PLF because it is covered by software patents.
%endif

%if %build_faad
%package -n %{bname}-faad
Summary:     	FAAD plugin for %{bname}
Group: 	Sound
Requires:  %{bname}-plugins = %version

%description -n %{bname}-faad
This package contains the AAC decoder plugin for %{bname}. It is in
PLF because it is covered by software patents.
%endif

%if %build_xvid
%package -n %{bname}-xvid
Summary:     	XviD plugin for %{bname}
Group: 		Video
Requires:  %{bname}-plugins = %version
Obsoletes:	xine-plugins-xvid
Provides:	xine-plugins-xvid

%description -n %{bname}-xvid
This package contains the XviD plugin for %{bname}. It is in
PLF because it is covered by software patents.
%endif

%prep
%setup -q
%patch0 -p1 -b .pulse-rework
%patch1 -p1
%patch2 -p1 -b .CVE-2008-1686
%patch3 -p1 -b .mkv
%patch4 -p1 -b .cve-2008-1878
%patch5 -p1
%patch6 -p0
%patch7 -p0
%patch8 -p0
%patch9 -p0
%patch10 -p0
%patch11 -p0
%patch12 -p0
%patch14 -p0
%patch15 -p0
%patch16 -p0
%patch17 -p0
%patch18 -p0

%build

%if %mdkversion <= 1000
%define __libtoolize true
%endif

#gw for flac
export OGG_LIBS=-logg

%if !%build_optimization
export CFLAGS="%(echo %optflags|sed s/-Wp,-D_FORTIFY_SOURCE=2//)"
%configure2_5x \
%else
%{?__cputoolize: %{__cputoolize}}
#gw expanded configure2_5x macro without the CFLAGS and --build stuff
[ -f configure.in -o -f configure.ac ] && %__libtoolize --copy --force
./configure \
 	--prefix=%{_prefix} \
	--exec-prefix=%{_prefix} \
	--bindir=%{_bindir} \
	--sbindir=%{_sbindir} \
	--sysconfdir=%{_sysconfdir} \
	--datadir=%{_datadir} \
	--includedir=%{_includedir} \
	--libdir=%{_libdir} \
	--libexecdir=%{_libdir} \
	--localstatedir=/var/lib \
	--sharedstatedir=%{_prefix}/com \
	--mandir=%{_mandir} \
	--infodir=%{_datadir}/info \
%endif
%if %external_vcdnav
  --with-external-vcdnav \
%else
  --with-internal-vcdlibs \
%endif
%if %build_directfb
  --enable-directfb \
%endif
%if ! %build_alsa
  --disable-alsa \
%endif
%if ! %build_vidix
 --disable-vidix \
%endif
%if ! %build_faad
 --disable-faad \
%endif
%if ! %build_pulse
 --disable-polypaudio \
%endif
%if ! %build_linuxfb
 --disable-fb \
%endif
%if %external_ffmpeg
  --with-external-ffmpeg \
%endif
 --enable-ipv6 --with-libflac --with-wavpack --with-w32-path=%{_libdir}/win32
# real-codecs-path is not set so that runtime searching is used. We want
# to use either codecs from RealPlayer or real-codecs, whichever is
# present.

%make

%install

rm -rf %buildroot libxine1.lang
%makeinstall_std
%if %mdkversion >= 1020
%multiarch_binaries %buildroot%_bindir/xine-config
%endif
#clean out unpackaged files
rm -f %buildroot/%_libdir/xine/plugins/*/*.la
rm -f %buildroot/%_libdir/xine/plugins/*/post/*.la
rm -rf installed-docs
mv %buildroot/%_datadir/doc/xine-lib installed-docs
rm -f %buildroot/%_libdir/xine/plugins/*/xineplug_inp_vcdo.so

%find_lang libxine1

%post -n %libname -p /sbin/ldconfig
%postun -n %libname -p /sbin/ldconfig

%clean
rm -rf $RPM_BUILD_ROOT

%files -n %{bname}-plugins -f libxine1.lang
%defattr(-,root,root)
%doc installed-docs/README* installed-docs/faq.*
%_mandir/man5/xine.5*
%dir %_libdir/xine/
%dir %_libdir/xine/plugins/
%dir %_libdir/xine/plugins/%api/
%dir %_libdir/xine/plugins/%api/post/
%_libdir/xine/plugins/%api/mime.types
%if %build_alsa
%_libdir/xine/plugins/%api/xineplug_ao_out_alsa.so
%endif
%_libdir/xine/plugins/%api/xineplug_ao_out_file.so
%_libdir/xine/plugins/%api/xineplug_ao_out_none.so
%_libdir/xine/plugins/%api/xineplug_ao_out_oss.so
%_libdir/xine/plugins/%api/xineplug_inp_cdda.so
%_libdir/xine/plugins/%api/xineplug_inp_dvb.so
%_libdir/xine/plugins/%api/xineplug_inp_dvd.so
%_libdir/xine/plugins/%api/xineplug_inp_http.so
%_libdir/xine/plugins/%api/xineplug_inp_stdin_fifo.so
%_libdir/xine/plugins/%api/xineplug_inp_file.so
%_libdir/xine/plugins/%api/xineplug_inp_mms.so
%_libdir/xine/plugins/%api/xineplug_inp_net.so
%_libdir/xine/plugins/%api/xineplug_inp_pnm.so
%_libdir/xine/plugins/%api/xineplug_inp_pvr.so
%_libdir/xine/plugins/%api/xineplug_inp_rtp.so
%_libdir/xine/plugins/%api/xineplug_inp_rtsp.so
%_libdir/xine/plugins/%api/xineplug_inp_vcd.so
%_libdir/xine/plugins/%api/xineplug_inp_v4l.so
%_libdir/xine/plugins/%api/xineplug_dmx_*so
%_libdir/xine/plugins/%api/xineplug_decode_a52.so
%_libdir/xine/plugins/%api/xineplug_decode_bitplane.so
%_libdir/xine/plugins/%api/xineplug_decode_dts.so
%_libdir/xine/plugins/%api/xineplug_decode_dvaudio.so
%_libdir/xine/plugins/%api/xineplug_decode_ff.so
%_libdir/xine/plugins/%api/xineplug_decode_gdk_pixbuf.so
%_libdir/xine/plugins/%api/xineplug_decode_gsm610.so
%_libdir/xine/plugins/%api/xineplug_decode_lpcm.so
%_libdir/xine/plugins/%api/xineplug_decode_mad.so
%_libdir/xine/plugins/%api/xineplug_decode_mpc.so*
%_libdir/xine/plugins/%api/xineplug_decode_mpeg2.so
%_libdir/xine/plugins/%api/xineplug_decode_nsf.so
%_libdir/xine/plugins/%api/xineplug_decode_spu*.so
%_libdir/xine/plugins/%api/xineplug_decode_real.so
%_libdir/xine/plugins/%api/xineplug_decode_rgb.so
%_libdir/xine/plugins/%api/xineplug_decode_speex.so
%if %build_theora
%_libdir/xine/plugins/%api/xineplug_decode_theora.so
%endif
%_libdir/xine/plugins/%api/xineplug_decode_vorbis.so
%_libdir/xine/plugins/%api/xineplug_decode_yuv.so
%if %build_directfb
%_libdir/xine/plugins/%api/xineplug_vo_out_directfb.so
%endif
%if %build_linuxfb
%_libdir/xine/plugins/%api/xineplug_vo_out_fb.so
%endif
%_libdir/xine/plugins/%api/xineplug_vo_out_syncfb.so
%_libdir/xine/plugins/%api/xineplug_vo_out_opengl.so
%_libdir/xine/plugins/%api/xineplug_vo_out_none.so
%if %build_vidix
%_libdir/xine/plugins/%api/xineplug_vo_out_vidix.so
%_libdir/xine/plugins/%api/vidix/
%endif
%_libdir/xine/plugins/%api/xineplug_vo_out_xshm.so
%_libdir/xine/plugins/%api/xineplug_vo_out_xv.so
%if %mdkversion >= 200600
%_libdir/xine/plugins/%api/xineplug_vo_out_xvmc.so
%_libdir/xine/plugins/%api/xineplug_vo_out_xxmc.so
%endif
%if %mdkversion >= 200710
%_libdir/xine/plugins/%api/xineplug_vo_out_xcbshm.so
%_libdir/xine/plugins/%api/xineplug_vo_out_xcbxv.so
%endif
%if %build_win32
%_libdir/xine/plugins/%api/xineplug_decode_qt.so*
%_libdir/xine/plugins/%api/xineplug_decode_w32dll.so*
%endif
%_libdir/xine/plugins/%api/post/xineplug_post_audio_filters.so
%_libdir/xine/plugins/%api/post/xineplug_post_goom.so
%_libdir/xine/plugins/%api/post/xineplug_post_mosaico.so
%_libdir/xine/plugins/%api/post/xineplug_post_planar.so
%_libdir/xine/plugins/%api/post/xineplug_post_switch.so
%_libdir/xine/plugins/%api/post/xineplug_post_tvtime.so
%_libdir/xine/plugins/%api/post/xineplug_post_visualizations.so
%_datadir/xine

%files -n %bname-sdl
%defattr(-,root,root)
%doc README 
%_libdir/xine/plugins/%api/xineplug_vo_out_sdl.so

%files -n %bname-wavpack
%defattr(-,root,root)
%doc README 
%_libdir/xine/plugins/%api/xineplug_wavpack.so


%files -n %bname-caca
%defattr(-,root,root)
%doc README 
%_libdir/xine/plugins/%api/xineplug_vo_out_caca.so

%if %build_magick
%files -n %{bname}-image
%defattr(-,root,root)
%doc README 
%_libdir/xine/plugins/%api/xineplug_decode_image.so
%endif

%files -n %libname
%defattr(-,root,root)
%doc README AUTHORS TODO
%_libdir/libxine*.so.%{major}*

%files -n %libnamedev
%defattr(-,root,root)
%doc README ChangeLog installed-docs/hackersguide
%_bindir/xine-config
%if %mdkversion >= 1020
%multiarch %multiarch_bindir/xine-config
%endif
%_mandir/man1/xine-config.1*
%_libdir/*.la
%_libdir/*.so
%_libdir/pkgconfig/libxine.pc
%_datadir/aclocal/xine.m4
%_includedir/*.h
%_includedir/xine


%if %build_arts
%files -n %{bname}-arts
%defattr(-,root,root)
%doc README 
%_libdir/xine/plugins/%api/xineplug_ao_out_arts.so
%endif

%files -n %{bname}-esd
%defattr(-,root,root)
%doc README 
%_libdir/xine/plugins/%api/xineplug_ao_out_esd.so

%files -n %{bname}-jack
%defattr(-,root,root)
%doc README 
%_libdir/xine/plugins/%api/xineplug_ao_out_jack.so

%if %build_pulse
%files -n %{bname}-pulse
%defattr(-,root,root)
%doc README 
%_libdir/xine/plugins/%api/xineplug_ao_out_pulseaudio.so
%endif

%files -n %{bname}-aa
%defattr(-,root,root)
%doc README 
%_libdir/xine/plugins/%api/xineplug_vo_out_aa.so

%files -n %{bname}-flac
%defattr(-,root,root)
%doc README 
%_libdir/xine/plugins/%api/xineplug_flac.so

%ifarch %{ix86} x86_64 ppc
%files -n %{bname}-dxr3
%defattr(-,root,root)
%doc README 
%_libdir/xine/plugins/%api/xineplug_*dxr3*.so
%endif

%files -n %{bname}-gnomevfs
%defattr(-,root,root)
%doc README 
%_libdir/xine/plugins/%api/xineplug_inp_gnome_vfs.so

%if %build_smb
%files -n %{bname}-smb
%defattr(-,root,root)
%doc README 
%_libdir/xine/plugins/%api/xineplug_inp_smb.so
%endif

%if %build_divx4
%files -n %{bname}-divx4
%defattr(-,root,root)
%_libdir/xine/plugins/%api/xineplug_decode_divx4.so*
%endif

%if %build_faad
%files -n %{bname}-faad
%defattr(-,root,root)
%_libdir/xine/plugins/%api/xineplug_decode_faad.so*
%endif

%if %build_xvid
%files -n %{bname}-xvid
%defattr(-,root,root)
%_libdir/xine/plugins/%api/xineplug_decode_xvid.so*
%endif

%changelog
* Wed Jan 21 2009 Rafael Cabral <cabral@mandriva.com> 1.1.11.1-4.3mdv2008.1
- Security fixes for CVE-2008-3231, CVE-2008-5233, CVE-2008-5234, 
  CVE-2008-5236, CVE-2008-5237, CVE-2008-5239, CVE-2008-5240, 
  CVE-2008-5241, CVE-2008-5243, CVE-2008-5245 and CVE-2008-5246

* Wed Aug 20 2008 Vincent Danen <vdanen@mandriva.com> 1.1.11.1-4.2mdv2008.1
- P4: security fix for CVE-2008-1878

* Thu Jun 26 2008 Vincent Danen <vdanen@mandriva.com> 1.1.11.1-4.1mdv2008.1
- build for updates

* Mon Jun 09 2008 Götz Waschk <waschk@mandriva.org> 1.1.11.1-4mdv2008.1
+ Revision: 217208
- update matroska patch
- fix regression in matroska demuxer (bug #40928)
- security update for speex demuxer (CVE-2008-1686)

* Thu Apr 03 2008 Götz Waschk <waschk@mandriva.org> 1.1.11.1-2mdv2008.1
+ Revision: 192289
- fix for bug 39768 (regression in Quicktime demuxer)

* Mon Mar 31 2008 Frederic Crozat <fcrozat@mandriva.com> 1.1.11.1-1mdv2008.1
+ Revision: 191189
- Patch0 (Lennart): reworked pulseaudio plugin, less racy, less crashy

  + Götz Waschk <waschk@mandriva.org>
    - new version

* Wed Mar 19 2008 Götz Waschk <waschk@mandriva.org> 1.1.11-2mdv2008.1
+ Revision: 188932
- provide xine-plugin-api for third party plugins

* Wed Mar 19 2008 Götz Waschk <waschk@mandriva.org> 1.1.11-1mdv2008.1
+ Revision: 188914
- new version (security update)
- new plugin api version

* Mon Mar 10 2008 Anssi Hannula <anssi@mandriva.org> 1.1.10.1-6mdv2008.1
+ Revision: 183579
- prefer /usr/lib/win32 for win32 codecs

* Thu Feb 21 2008 Götz Waschk <waschk@mandriva.org> 1.1.10.1-5mdv2008.1
+ Revision: 173481
- drop broken patch 3

* Sat Feb 16 2008 Götz Waschk <waschk@mandriva.org> 1.1.10.1-4mdv2008.1
+ Revision: 169251
- P3: security fix for CVE-2008-0486

  + Thierry Vignaud <tvignaud@mandriva.com>
    - fix spacing at top of description

* Mon Feb 11 2008 Götz Waschk <waschk@mandriva.org> 1.1.10.1-3mdv2008.1
+ Revision: 165135
- rebuild for new libmagick

* Fri Feb 08 2008 Götz Waschk <waschk@mandriva.org> 1.1.10.1-1mdv2008.1
+ Revision: 164005
- new version
- fix file list

* Mon Jan 28 2008 Anssi Hannula <anssi@mandriva.org> 1.1.10-2mdv2008.1
+ Revision: 159224
- build with external ffmpeg

* Sun Jan 27 2008 Götz Waschk <waschk@mandriva.org> 1.1.10-1mdv2008.1
+ Revision: 158511
- new version

  + Anssi Hannula <anssi@mandriva.org>
    - add build switch for building with external ffmpeg

* Sun Jan 20 2008 Götz Waschk <waschk@mandriva.org> 1.1.9.1-2mdv2008.1
+ Revision: 155365
- add support for wavpack (bug #36988)

* Fri Jan 11 2008 Götz Waschk <waschk@mandriva.org> 1.1.9.1-1mdv2008.1
+ Revision: 148587
- new version

* Thu Jan 10 2008 Frederic Crozat <fcrozat@mandriva.com> 1.1.9-2mdv2008.1
+ Revision: 147539
- Rebuild

* Sun Jan 06 2008 Götz Waschk <waschk@mandriva.org> 1.1.9-1mdv2008.1
+ Revision: 146077
- new version

* Fri Jan 04 2008 Götz Waschk <waschk@mandriva.org> 1.1.8-6mdv2008.1
+ Revision: 144887
- rebuild for new imagemagick

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Tue Dec 25 2007 Anssi Hannula <anssi@mandriva.org> 1.1.8-5mdv2008.1
+ Revision: 137796
- add /usr/lib64/real as real codecs path (patch from upstream)

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request

* Thu Sep 20 2007 Olivier Blin <oblin@mandriva.com> 1.1.8-4mdv2008.0
+ Revision: 91482
- move hackers guide in devel package

* Sun Sep 16 2007 Anssi Hannula <anssi@mandriva.org> 1.1.8-3mdv2008.0
+ Revision: 87627
- instead of hardcoding real codecs path, add real codecs paths of packages
  RealPlayer and real-codecs into the internal xine list so that both of
  them can be used (related to #26987)

* Mon Aug 27 2007 Götz Waschk <waschk@mandriva.org> 1.1.8-2mdv2008.0
+ Revision: 72201
- fix buildrequires

* Mon Aug 27 2007 Götz Waschk <waschk@mandriva.org> 1.1.8-1mdv2008.0
+ Revision: 72151
- new version
- new devel name
- add build conflict to fix linker problem

  + Thierry Vignaud <tvignaud@mandriva.com>
    - replace %%{_datadir}/man by %%{_mandir}!

* Thu Jun 07 2007 Götz Waschk <waschk@mandriva.org> 1.1.7-1mdv2008.0
+ Revision: 36499
- new version
- bye bye arts plugin, we won't miss you
- drop patch

* Wed May 09 2007 Frederic Crozat <fcrozat@mandriva.com> 1.1.6-3mdv2008.0
+ Revision: 25662
- Patch0 (HG): fix x-io-select (Mdv bug #29513)

* Fri Apr 20 2007 Götz Waschk <waschk@mandriva.org> 1.1.6-2mdv2008.0
+ Revision: 15626
- build with xcb support

* Wed Apr 18 2007 Götz Waschk <waschk@mandriva.org> 1.1.6-1mdv2008.0
+ Revision: 14366
- new version

* Tue Apr 17 2007 Götz Waschk <waschk@mandriva.org> 1.1.5-1mdv2008.0
+ Revision: 14036
- new version
- drop patches
- update file list


* Mon Mar 19 2007 Thierry Vignaud <tvignaud@mandriva.com> 1.1.4-5mdv2007.1
+ Revision: 146706
- move big doc in -devel

* Thu Mar 15 2007 Götz Waschk <waschk@mandriva.org> 1.1.4-4mdv2007.1
+ Revision: 144454
- P5: security fix for CVE-2007-1387 (shared code with mplayer)
- P4: security fix for CVE-2007-1246 (shared code with mplayer)

* Thu Mar 15 2007 Götz Waschk <waschk@mandriva.org> 1.1.4-3mdv2007.1
+ Revision: 144177
- fix bug #28511 by changing the opt flags

* Sun Feb 18 2007 Götz Waschk <waschk@mandriva.org> 1.1.4-2mdv2007.1
+ Revision: 122358
- rebuild for new ImageMagick

* Mon Jan 29 2007 Götz Waschk <waschk@mandriva.org> 1.1.4-1mdv2007.1
+ Revision: 114829
- new version
- drop patch 0

* Thu Jan 11 2007 Götz Waschk <waschk@mandriva.org> 1.1.3-2mdv2007.1
+ Revision: 107615
- patch for new libflac

  + Anssi Hannula <anssi@mandriva.org>
    - require exact lib version in xine-plugins

* Mon Dec 04 2006 Götz Waschk <waschk@mandriva.org> 1.1.3-1mdv2007.1
+ Revision: 90339
- move caca output plugin to subpackage
- bump caca deps
- enable jack, syncfb and pulse plugins
- drop patches 0,2
- new version

* Wed Nov 29 2006 Götz Waschk <waschk@mandriva.org> 1.1.2-6mdv2007.1
+ Revision: 88599
- fix build with new flac
- patch to allow build with flac 1.1.3
- Import xine-lib

* Mon Oct 09 2006 Gtz Waschk <waschk@mandriva.org> 1.1.2-5mdv2007.1
- P2: security fix for CVE-2006-4800

* Wed Sep 27 2006 Gtz Waschk <waschk@mandriva.org> 1.1.2-4mdv2007.0
- merge win32 plugin loader in plugins package

* Fri Sep 01 2006 Götz Waschk <waschk@mandriva.org> 1.1.2-1mdv2007.0
- rebuild for new Magick

* Thu Jul 20 2006 Anssi Hannula <anssi@mandriva.org> 1.1.2-2mdv2007.0
- fix buildrequires
- fix disabling of pulse plugin

* Wed Jul 12 2006 Gtz Waschk <waschk@mandriva.org> 1.1.2-1mdv2007.0
- rename polypaudio plugin to pulse
- 1.1.2 final

* Tue Jul 11 2006 Gtz Waschk <waschk@mandriva.org> 1.1.2-0.20060710.1mdv2007.0
- update file list
- drop patches 0,2,3,4
- cvs snapshot

* Sun Jun 11 2006 Anssi Hannula <anssi@mandriva.org> 1.1.1-8mdv2007.0
- plf: build xine-win32 only on ix86
- patch4: add new vdr events from cvs

* Sun Jun 11 2006 Gtz Waschk <waschk@mandriva.org> 1.1.1-7mdv2007.0
- fix buildrequires
- flac fix from gentoo

* Thu May 04 2006 Frederic Crozat <fcrozat@mandriva.com> 1.1.1-6mdk
- Disable polyaudio support (API changed)
- Drop explicit dependency on XFree86-devel and zlib-devel (Mdk bug #22047)

* Wed Apr 19 2006 Frederic Crozat <fcrozat@mandriva.com> 1.1.1-5mdk
- Patch3 (hadess): fix crash with totem (GNOME bug #338883)

* Sat Mar 18 2006 Götz Waschk <waschk@mandriva.org> 1.1.1-4mdk
- rebuild for new libcdio

* Tue Dec 20 2005 Gtz Waschk <waschk@mandriva.org> 1.1.1-3mdk
- split out SDL plugin (bug 20279)

* Wed Dec 14 2005 Gtz Waschk <waschk@mandriva.org> 1.1.1-2mdk
- security update for CVE-2005-4048 (P2, embedded ffmpeg)

* Tue Nov 15 2005 Gtz Waschk <waschk@mandriva.org> 1.1.1-1mdk
- drop merged patch 0
- New release 1.1.1

* Tue Oct 11 2005 Gtz Waschk <waschk@mandriva.org> 1.1.0-9mdk
- add xvmc drivers
- security patch for CAN-2005-2967

* Wed Aug 31 2005 Gtz Waschk <waschk@mandriva.org> 1.1.0-8mdk
- disable fortify to fix bug #18035

* Wed Aug 31 2005 Gtz Waschk <waschk@mandriva.org> 1.1.0-7mdk
- enable musepack

* Thu Aug 25 2005 Götz Waschk <waschk@mandriva.org> 1.1.0-6mdk
- rebuild for new Magick

* Mon Aug 15 2005 Götz Waschk <waschk@mandriva.org> 1.1.0-5mdk
- rebuild for new xorg

* Fri Aug 05 2005 Gtz Waschk <waschk@mandriva.org> 1.1.0-4mdk
- enable ipv6
- fix plugin deps

* Thu Aug 04 2005 Laurent MONTEL <lmontel@mandriva.com> 1.1.0-3
- Add requires xine-lib

* Thu Jul 28 2005 Gtz Waschk <waschk@mandriva.org> 1.1.0-2mdk
- split out ImageMagick plugin

* Thu Jul 28 2005 Gtz Waschk <waschk@mandriva.org> 1.1.0-1mdk
- update file list
- drop patch 0
- New release 1.1.0

* Wed Jul 13 2005 Gtz Waschk <waschk@mandriva.org> 1.0.1-3mdk
- rebuild for new libcdio

* Wed Jun 29 2005 Gtz Waschk <waschk@mandriva.org> 1.0.1-2mdk
- patch for gcc 4

* Wed Apr 27 2005 Gtz Waschk <waschk@mandriva.org> 1.0.1-1mdk
- add musepack package (disabled by default)
- fix mkrel macro
- drop patch 0
- New release 1.0.1

* Tue Apr 26 2005 Gtz Waschk <waschk@mandriva.org> 1.0-10mdk
- rebuild for new libtheora

* Tue Apr 19 2005 Gtz Waschk <waschk@linux-mandrake.com> 1.0-9mdk
- rebuild for new libcdio

* Fri Apr 08 2005 Gtz Waschk <waschk@linux-mandrake.com> 1.0-8mdk
- add mkrel makro
- rebuild for new smbclient

* Fri Mar 18 2005 Gtz Waschk <waschk@linux-mandrake.com> 1.0-7mdk
- patch1: improve real codecs detection

* Wed Feb 02 2005 Gtz Waschk <waschk@linux-mandrake.com> 1.0-6mdk
- rebuild for new libcdio

* Thu Jan 27 2005 Gtz Waschk <waschk@linux-mandrake.com> 1.0-5mdk
- multiarch support

* Wed Jan 19 2005 Gtz Waschk <waschk@linux-mandrake.com> 1.0-4mdk
- fix http bug (#13076)

* Wed Jan 05 2005 Christiaan Welvaart <cjw@daneel.dyndns.org> 1.0-3mdk
- dxr3 driver also builds on ppc

* Tue Jan 04 2005 Gtz Waschk <waschk@linux-mandrake.com> 1.0-2mdk
- add polypaudio support

* Wed Dec 29 2004 Gtz Waschk <waschk@linux-mandrake.com> 1.0-1mdk
- drop patch 4
- new version

* Wed Dec 15 2004 Gtz Waschk <waschk@linux-mandrake.com> 1-0.rc8.1mdk
- drop merged patches 3,5
- new version

* Fri Dec 03 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 1-0.rc7.4mdk
- Patch5 (CVS): fix big memleak

* Fri Nov 26 2004 Gtz Waschk <waschk@linux-mandrake.com> 1-0.rc7.3mdk
- build with external libvcd

* Mon Nov 22 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 1-0.rc7.2mdk
- Patch4: fix crash for DVD without first play chain

* Tue Nov 09 2004 Gtz Waschk <waschk@linux-mandrake.com> 1-0.rc7.1mdk
- add smb plugin
- drop 9.0 support
- drop patches 0,1,2
- new version

* Tue Nov 02 2004 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 1-0.rc5.9mdk
- don't try to load 32-bit plugins on x86_64

* Sat Oct 09 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 1-0.rc5.8mdk
- Update patch0 for latest security fix (MDKSA-2004:105)
- Patch2 : fix security bug XSA-2004-5

* Thu Sep 30 2004 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 1-0.rc5.7mdk
- dxr3 driver also builds on x86_64

* Sat Sep 04 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 1-0.rc5.6mdk
- Patch1 (CVS): fix brightness on some DVD (xine bug #1018193)

* Tue Aug 24 2004 Gtz Waschk <waschk@linux-mandrake.com> 1-0.rc5.5mdk
- security patch for http://www.open-security.org/advisories/6

* Tue Aug 03 2004 Gtz Waschk <waschk@linux-mandrake.com> 1-0.rc5.4mdk
- fix speex build
- fix dxr3 buildrequires
- rebuild for new flac

* Sat Jul 24 2004 Marcel Pol <mpol@mandrake.org> 1-0.rc5.3mdk
- build against new slang

* Sun Jul 11 2004 Gtz Waschk <waschk@linux-mandrake.com> 1-0.rc5.2mdk
- rebuild for new alsa

* Tue Jun 22 2004 Gtz Waschk <waschk@linux-mandrake.com> 1-0.rc5.1mdk
- add missing file
- drop patch 0
- 1.0rc5

* Wed Jun 16 2004 Christiaan Welvaart <cjw@daneel.dyndns.org> 1-0.rc4.4mdk
- rebuild with gcc 3.4

* Wed Jun 02 2004 Gtz Waschk <waschk@linux-mandrake.com> 1-0.rc4.3mdk
- remove COPYING from the package
- rebuild for new alsa
- add source URL

* Fri May 14 2004 Gtz Waschk <waschk@linux-mandrake.com> 1-0.rc4.2mdk
- readd OpenGL plugin
- fix description
- 1.0rc4a

* Sat May 01 2004 Gtz Waschk <waschk@linux-mandrake.com> 1-0.rc4.1mdk
- enable parallel make
- spec fixes
- enable theora build on 10.0
- new version

* Sat Apr 10 2004 Gtz Waschk <waschk@linux-mandrake.com> 1-0.rc3.8mdk
- disable theora on systems older than 10.0
- 1.0rc3c

* Sat Apr 03 2004 Gtz Waschk <waschk@linux-mandrake.com> 1-0.rc3.7mdk
- fix buildrequires
- enable theora
- fix configure call
- don't run libtoolize
- disable external vcdnav
- remove all outdated packages
- add caca plugin
- add audio file output plugin
- drop all patches (merged)
- 1.0rc3b

